com.sun.grid.jgdi.configuration

## Interface GEObject

- All Known Subinterfaces:
    AdminHost, AdvanceReservation, ARA, Binding, Calendar, CalendarQueueState, Checkpoint, ClusterQueue, ComplexEntry, Configuration, ConfigurationElement, Event, EventClient, EventSubcribtion, ExecHost, FPET, Hostgroup, JG, JGDIAnswer, Job, JobReference, JobSchedulingInfo, JobSchedulingMessage, JobTask, MailReceiver, Manager, Operator, ParallelEnvironment, PathAlias, PathName, PETask, Project, QueueInstance, QueueInstanceMessage, Range, ResourceDiagramEntry, ResourceQuotaRule, ResourceQuotaRuleFilter, ResourceQuotaRuleLimit, ResourceQuotaSet, ResourceUtilization, SchedConf, ShareTree, SubmitHost, Subordinate, ULNG, User, UserSet
  All Known Implementing Classes:
    AdminHostImpl, AdvanceReservationImpl, ARAImpl, BindingImpl, CalendarImpl, CalendarQueueStateImpl, CheckpointImpl, ClusterQueueImpl, ComplexEntryImpl, ConfigurationElementImpl, ConfigurationImpl, EventClientImpl, EventImpl, EventSubcribtionImpl, ExecHostImpl, FPETImpl, GEObjectImpl, HostgroupImpl, JGDIAnswerImpl, JGImpl, JobImpl, JobReferenceImpl, JobSchedulingInfoImpl, JobSchedulingMessageImpl, JobTaskImpl, MailReceiverImpl, ManagerImpl, OperatorImpl, ParallelEnvironmentImpl, PathAliasImpl, PathNameImpl, PETaskImpl, ProjectImpl, QueueInstanceImpl, QueueInstanceMessageImpl, RangeImpl, ResourceDiagramEntryImpl, ResourceQuotaRuleFilterImpl, ResourceQuotaRuleImpl, ResourceQuotaRuleLimitImpl, ResourceQuotaSetImpl, ResourceUtilizationImpl, SchedConfImpl, ShareTreeImpl, SubmitHostImpl, SubordinateImpl, ULNGImpl, UserImpl, UserSetImpl

      public interface GEObject

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getName()` Getter for property name.
    `GEObject` | `getParent()` Getter for property parent.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Getter for property name.
      Returns:
        Value of property name.

    - #### getParent

          GEObject getParent()

      Getter for property parent.
      Returns:
        Value of property parent.

    - #### equalsCompletely

          boolean equalsCompletely(java.lang.Object obj)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.